<?php
/**
 * Repetito
 *
 * @package           Repetito
 * @author            Jan Cafourek
 * @license           GPL-2.0-or-later
 *
 * @wordpress-plugin
 * Plugin Name:       Repetito
 * Plugin URI:        https://deenzo.com/repetito
 * Description:       Ability to add Repetitio packagin fee to order.
 * Version:           1.0.0
 * Requires at least: 5.3
 * Requires PHP:      7.1
 * Author:            Jan Cafourek
 * Author URI:        https://deenzo.com
 * Text Domain:       repetito
 * License:           GPL v2 or later
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Update URI:        https://deenzo.com/repetito/
 */

/*
|--------------------------------------------------------------------------
| If this file is called directly, abort.
|--------------------------------------------------------------------------
*/
if (!defined('WPINC')) {
	exit;
}

/*
|--------------------------------------------------------------------------
| Load class autoloader
|--------------------------------------------------------------------------
*/
require_once __DIR__ . '/vendor/autoload.php';
use Repetito\Plugin;

/*
|--------------------------------------------------------------------------
| Define default constants
|--------------------------------------------------------------------------
*/
define('Repetito\NAME', 'repetito');
define('Repetito\VERSION', '1.0.1');
define('Repetito\FILE', __FILE__);


/*
|--------------------------------------------------------------------------
| Activation, deactivation and uninstall event.
|--------------------------------------------------------------------------
*/
register_activation_hook(__FILE__, array(Plugin::class, 'activate'));
register_deactivation_hook(__FILE__, array(Plugin::class, 'deactivate'));
register_uninstall_hook(__FILE__, array(Plugin::class, 'uninstall'));

/*
|--------------------------------------------------------------------------
| Start the plugin
|--------------------------------------------------------------------------
*/
Plugin::init();
