<?php

namespace Repetito;

use Repetito\Admin\Menu;
use Repetito\Api\Settings;
use Repetito\Api\Fees;
use Repetito\Api\Packages;
use Repetito\Web\Shortcodes;
use Repetito\Web\Frontend;

class Plugin {
	public static function activate() {
	}

	public static function deactivate() {
	}

	public static function uninstall() {
	}

	public static function init() {
		if ( is_admin() ) {
			self::admin();
		}
		Shortcodes::instance( array( 'repetito' ) );
		add_action( 'rest_api_init', array( self::class, 'api' ) );
		FrontEnd::instance();
	}

	/**
	 * @return void
	 */
	public static function admin(): void {
		$menu = Menu::instance();
		// Register Menu.
		add_action( 'admin_menu', array( $menu, 'register' ) );
		// Load script.
		add_action( 'admin_enqueue_scripts', array( $menu, 'scripts' ) );
		// Add module attribute.
		add_filter( 'script_loader_tag', array( $menu, 'add_module' ), 10, 3 );

		add_action(
			'admin_head',
			function () {
				global $pagenow;
				if ( $pagenow == 'admin.php' && $_GET['page'] == 'repetito' ) {
					remove_all_actions( 'admin_notices' );
				}
			},
			1
		);
	}

	public static function api() {
		Settings::instance();
		Fees::instance();
		Packages::instance();
	}
}
