<?php

namespace Repetito;

require_once __DIR__ . '/TestBox.php';
require_once __DIR__ . '/TestItem.php';

use DVDoug\BoxPacker\VolumePacker;
use DVDoug\BoxPacker\ItemList;
use Repetito\TestBox;
use Repetito\TestItem;


class BoxPacker {

	public static function fitsIntoPackage( array $cartItems, array $box, int $totalCartItems ): bool {
		$box = new TestBox(
			$box['name'],
			$box['width'],
			$box['length'],
			$box['height']
		);

		$items = new ItemList();

		foreach ( $cartItems as $cart_item => $values ) {
			$_product = wc_get_product( $values['data']->get_id() );
			$qty      = $values['quantity'];

			while ( $qty > 0 ) {
				$items->insert(
					new TestItem(
						'',
						$_product->get_width(),
						$_product->get_length(),
						$_product->get_height()
					)
				);
				--$qty;
			}
		}

		$volumePacker = new VolumePacker( $box, $items );
		$packedBox    = $volumePacker->pack();

		// we wont fit even one item to the box
		if ( count( $packedBox->getItems() ) == 0 ) {
			return false;
		}

		// if we fit them all, we're fine
		return count( $packedBox->getItems() ) == $totalCartItems;
	}
}
